Redcar 0.13

Showing 1-4 of 4 messages
Redcar 0.13 mscharley 1/23/12 1:20 AM
Hey everyone,

Thought I'd give redcar another spin with everything that's been going
on, so I tried to install from rubygems on xubuntu 11.10 and got the
following weirdness. Installation seemed to work ok, but now whenever I
try to do anything with gem, I get the following error:

[matthew@matthew-dev ~]$ gem
-v                                                                                              
[1]
Invalid gemspec in
[/var/lib/gems/1.8/specifications/redcar-0.13.gemspec]: invalid date
format in specification: "2012-01-21 00:00:00.000000000Z"
1.7.2

Also, `redcar` crashes out running as either root or my regular user:

[matthew@matthew-dev ~]$ redcar
Invalid gemspec in
[/var/lib/gems/1.8/specifications/redcar-0.13.gemspec]: invalid date
format in specification: "2012-01-21 00:00:00.000000000Z"
/usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:926:in
`report_activate_error': Could not find RubyGem redcar (>= 0)
(Gem::LoadError)
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:244:in `activate_dep'
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:236:in `activate'
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:1307:in `gem'
     from /usr/local/bin/redcar:18

Redcar is also not showing on `gem list`, although it was in the
listings when I installed it as installing documentation, etc.

Hacking on the gemspec mentioned manually produced the following:

Invalid gemspec in
[/var/lib/gems/1.8/specifications/redcar-0.13.gemspec]: Illformed
requirement ["#<YAML::Syck::DefaultKey:0x2f6bdf8> 1.1.2"]
/usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:926:in
`report_activate_error': Could not find RubyGem redcar (>= 0)
(Gem::LoadError)
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:244:in `activate_dep'
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:236:in `activate'
     from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:1307:in `gem'
     from /usr/local/bin/redcar:18

Has redcar moved to 1.9 only? Anyone have any thoughts?

Cheers,
Matt

Re: [Redcar] Redcar 0.13 Daniel Lucraft 1/23/12 1:22 AM
This might be an "upgrade Rubygems" situation again.
--
You received this message because you are subscribed to the Google Groups "Redcar" group.
To post to this group, send email to redcar...@googlegroups.com.
To unsubscribe from this group, send email to redcar-edito...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/redcar-editor?hl=en.

Re: [Redcar] Redcar 0.13 mscharley 1/23/12 1:40 AM
Yea, that fixed it. But to do that, I had to uninstall the system package for rubygems (running the latest version of rubygems on the latest version of ubuntu already) and install it manually. Not quite the user-friendly experience we were aiming for, but it's running well now!

I remember reading you removed the remote editing functionality. What happened to the code? I'd be interested in resurrecting it.

Cheers,
Matt
Re: [Redcar] Redcar 0.13 Daniel Lucraft 1/23/12 1:44 AM
On Monday, 23 January 2012 at 09:40, Matthew Scharley wrote:
Yea, that fixed it. But to do that, I had to uninstall the system package for rubygems (running the latest version of rubygems on the latest version of ubuntu already) and install it manually. Not quite the user-friendly experience we were aiming for, but it's running well now!
Yep, it sucks. Not a lot we can do about it though, except get on with platform installers. 
I remember reading you removed the remote editing functionality. What happened to the code? I'd be interested in resurrecting it.
All of the code was removed in this commit:

If you do have a go at bringing it back, I suggest thinking about having it create its own Tree model, and a new class like RemoteProject, rather than trying to integrate it into Project again.

best
Dan